=== release-so/Makefile ===
RELEASE = true
vpath %.cc ../lib

include ../lib/Makefile

OTHERFLAGS += -fPIC

libosl.so.1.0: $(OBJS)
	-mkdir .objs
	(cd .objs; for o in $^; do \
	  target=`echo $$o|sed -e 's/\//-/g'`; \
	  if [ ! -f $$target ]; then \
	    ln -s ../$$o $$target; \
	  fi; \
	done)
	$(CXX) $(CXXFLAGS) -shared -Wl,-soname,libosl.so.1 -o $@ $(patsubst %,.objs/%,$(subst /,-,$^))
	ln -sf $@ libosl.so.1
	ln -sf $@ libosl.so

make-directories:
	find ../lib -type d | sed "s/\.\.\/lib\///" | xargs mkdir -p
