=== debian/changelog ===
libosl (0.3.0-1) unstable; urgency=low

  * New upstream release (OSL r4174).
  * Added debian/source/format file.
  * debian/control: 
    - Bumped up Standards-Version: 3.8.4.
    - Build with Boost 1.42.
  * debian/makefile.local.*: disabled USE_TBB
  * debian/makefile.local.amd64: added -march=k8.
    (Closes: #582923)

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 25 May 2010 21:56:08 +0900

libosl (0.2.0-2) unstable; urgency=low

  * Added a g++ option, -march=pentium4, for the i386 architecture due to the
    package requires SSE2. (Closes: #568595)

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 06 Feb 2010 11:15:54 +0900

libosl (0.2.0-1) unstable; urgency=low

  * Initial release. (Closes: #564231)

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 09 Jan 2010 00:02:46 +0900
