## libosl 0.4.0

=== lib/Makefile ===
--- 
+++ 
@@ -51,6 +51,7 @@
 	$(BASIC_OBJS)
 LIB_SEARCH_OBJS = \
 	$(patsubst %.o,rating/%.o,$(RATING_OBJS)) \
+	$(patsubst %.o,move_probability/%.o,$(MOVE_PROBABILITY_OBJS)) \
 	$(patsubst %.o,search/%.o,$(SEARCH_OBJS)) \
 	$(patsubst %.o,checkmate/%.o,$(CHECKMATE_OBJS)) \
 	$(patsubst %.o,game_playing/%.o,$(GAME_PLAYING_OBJS)) \
@@ -72,8 +73,8 @@
 	mobility/mobilityTable.o \
 	container/bitXmask.o container/pieceMask.o container/moveStack.o \
 	container/moveVector.o container/moveLogProbVector.o \
-	container/pieceVector.o container/ptypeOPositionVector.o \
-	container/nearMask.o container/pieceValues.o container/position8.o \
+	container/pieceVector.o container/ptypeOSquareVector.o \
+	container/nearMask.o container/pieceValues.o container/square8.o \
 	container/boardMask.o container/tripleInt.o \
 	eval/pieceEval.o eval/progressEval.o eval/see.o \
 	eval/endgame/attackKing.o eval/endgame/defenseKing.o \
@@ -92,17 +93,17 @@
 	progress/ptypeProgress.o progress/effect5x3.o \
 	progress/effect5x3d.o progress/effect5x3Table.o \
 	progress/ml/newProgress.o \
-	ptypeList.o ptype.o position.o player.o piece.o \
+	ptypeList.o ptype.o square.o player.o piece.o \
 	offset.o offset32.o pieceTable.o boardTable.o ptypeTable.o \
-	move.o direction.o  positionCompressor.o sennichite.o \
+	move.o direction.o  squareCompressor.o sennichite.o \
 	centering3x3.o centering5x3.o \
 	moveLogProb.o pieceStand.o pieceStandIO.o pathEncoding.o \
 	tables.o repetitionCounter.o oslConfig.o \
 	misc/mask.o misc/trace.o misc/milliSeconds.o misc/random.o misc/perfmon.o \
 	misc/nonBlockDelete.o misc/align16New.o \
-	misc/ncores.o misc/base64.o misc/ctime.o misc/fastCopier.o\
+	misc/ncores.o misc/base64.o misc/ctime.o \
 	misc/log/htmlPerformanceLog.o misc/log/textPerformanceLog.o \
-	misc/sjis2euc.o misc/iconvConvert.o \
+	misc/sjis2euc.o misc/iconvConvert.o misc/binaryIO.o \
 	enter_king/enterKing.o
 # LIB_SEARCH_OBJS の方が相応しいがtables.ccの関係で LIB_BOARD_OBJS に
 # 入れる必要があるもの
@@ -114,10 +115,11 @@
 	pieceOnBoard.o capture_.o promote_.o legalMoves.o \
 	addEffect8.o addEffect8Table.o attackToPinned.o additionalLance.o \
 	addEffectWithEffect.o 
-# addEffect_.o addEffectTable.o 
 MOVE_CLASSIFIER_OBJS = check_.o safeMove.o kingOpenMove.o \
-	blockLongEffect.o trapRook.o canAttackInNMoves.o 
-RECORD_OBJS = record.o csa.o csaString.o kisen.o opening/openingBook.o psn.o \
+	blockLongEffect.o trapRook.o canAttackInNMoves.o classifier.o
+MOVE_PROBABILITY_OBJS = stateInfo.o feature.o featureSet.o moveInfo.o
+RECORD_OBJS = record.o csa.o csaString.o kisen.o \
+	opening/openingBook.o opening/bookInMemory.o psn.o \
 	csaRecord.o compactBoard.o miniBoard.o kanjiPrint.o usi.o kanjiMove.o \
 	ki2.o checkDuplicate.o kakinoki.o miniBoardChar50.o myshogi.o
 SEARCH_OBJS = killerMoveTable.o bigramKillerMove.o quiescenceSearch2.o \
@@ -131,7 +133,7 @@
 	alphaBeta3.o hashRejections.o moveWithComment.o \
 	moveStackRejections.o \
 	analyzer/recordSet_.o analyzer/categoryMoveVector.o \
-	quiescenceLog.o recordStack.o \
+	quiescenceLog.o \
 	analyzer/dotWriter.o analyzer/logWriter.o 
 CHECKMATE_OBJS = pieceCost.o proofTreeDepthDfpn.o \
 	fixedDepthSearcher.o \
@@ -144,13 +146,13 @@
 	ntesukiMoveGenerator.o
 RATING_OBJS = feature.o group.o featureSet.o \
 	ratedMove.o ratedMoveVector.o ratingEnv.o \
-	feature/pattern.o feature/capture.o feature/checkmate.o feature/position.o \
+	feature/pattern.o feature/capture.o feature/checkmate.o feature/square.o \
 	feature/countEffect2.o feature/bigramAttack.o feature/king8.o \
-	group/bigramGroup.o group/captureGroup.o group/positionGroup.o \
+	group/bigramGroup.o group/captureGroup.o group/squareGroup.o \
 	group/patternGroup.o group/escape.o group/king8Group.o bradleyTerry.o 
 STAT_OBJS = twoDimensionalStatistics.o histogram.o ratio.o 
 EFFECT_UTIL_OBJS = additionalEffect.o effectUtil.o shadowEffect.o \
-	neighboring8Direct.o neighboring25Direct.o sendOffPosition.o \
+	neighboring8Direct.o neighboring25Direct.o sendOffSquare.o \
 	neighboring8Effect.o pin.o virtualPin.o
 GAME_PLAYING_OBJS = gameState.o computerPlayer.o csaLogger.o \
 	gameManager.o gnuShogiClient.o csaClient.o cuiClient.o \
