=== debian/changelog ===
libosl (0.4.0-1ubuntu1) oneiric; urgency=low

  * debian/rules: disable -Werror for -Wunused-but-set-variable
  * debian/patches/link-boost.patch: link shared lib with boost (LP: #770752)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 29 Aug 2011 17:30:59 +0200

libosl (0.4.0-1) unstable; urgency=low

  * New upstream release (OSL r4353).
    (Closes: #615676, #625371)
  * debian/control: 
    - Bumped up Standards-Version: 3.9.2.
    - Build with Boost 1.46.
  * debian/rules:
    - Support parallel build.
  * debian/makefile.local.*
    - Followed a change in Boost.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 11 Jun 2011 14:43:47 +0900
