=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libosl
 Section: libs
 Priority: optional
-Maintainer: Daigo Moriwaki <daigo@debian.org>
-Build-Depends: cdbs, debhelper (>= 7), libcppunit-dev (>= 1.10.2-5), libboost1.42-all-dev
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daigo Moriwaki <daigo@debian.org>
+Build-Depends: cdbs, debhelper (>= 7), libcppunit-dev (>= 1.10.2-5), libboost1.46-all-dev
+Standards-Version: 3.9.2
 Homepage: http://gps.tanaka.ecc.u-tokyo.ac.jp/gpsshogi/pukiwiki.php
 Vcs-Browser: http://git.debian.org/?p=collab-maint/libosl.git;a=summary
 Vcs-Git: git://git.debian.org/git/collab-maint/libosl.git
