=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 DEB_MAKE_BUILD_TARGET   = all
 DEB_MAKE_INSTALL_TARGET = 
 DEB_MAKE_CHECK_TARGET   =
+
+DEB_MAKE_PARALLEL ?= $(and $(DEB_BUILD_PARALLEL),$(DEB_PARALLEL_JOBS),-j$(DEB_PARALLEL_JOBS))
 
 so_ver=1
 
@@ -18,19 +20,22 @@
 DEB_INSTALL_DIRS_libosl-doc += usr/share/doc/libosl-doc
 DEB_INSTALL_DOCS_libosl-doc += doc/html
 
+
 pre-build::
 	cp $(CURDIR)/debian/makefile.local.$(DEB_HOST_ARCH_CPU) $(CURDIR)/makefile.local
 
 build/libosl$(so_ver)::
 	$(MAKE) -C release-so make-directories
-	$(MAKE) -C release-so PROF=-g OSL_PUBLIC_RELEASE=t OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" libosl.so.$(so_ver).0
+# unused-but-set-variable disable until 633473 is fixed
+	$(MAKE) -C release-so WARN_UNUSED="-Wno-error=unused-but-set-variable -Wno-unused-parameter" PROF=-g OSL_PUBLIC_RELEASE=t OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" $(DEB_MAKE_PARALLEL) libosl.so.$(so_ver).0
 
 binary-install/libosl$(so_ver)::
 	dh_install -p$(cdbs_curpkg) --sourcedir=release-so libosl.so.* usr/lib
 
 build/libosl-dev::
 	$(MAKE) -C release make-directories
-	$(MAKE) -C release PROF=-g OSL_PUBLIC_RELEASE=t OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" all
+# unused-but-set-variable disable until 633473 is fixed
+	$(MAKE) -C release WARN_UNUSED="-Wno-error=unused-but-set-variable -Wno-unused-parameter" PROF=-g OSL_PUBLIC_RELEASE=t OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" $(DEB_MAKE_PARALLEL) all
 
 binary-install/libosl-dev::
 	dh_install -p$(cdbs_curpkg) --sourcedir=release lib*.a usr/lib
