=== release-so/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	    ln -s ../$$o $$target; \
 	  fi; \
 	done)
-	$(CXX) $(CXXFLAGS) -shared -Wl,-soname,libosl.so.1 -o $@ $(patsubst %,.objs/%,$(subst /,-,$^))
+	$(CXX) $(CXXFLAGS) -shared -Wl,-soname,libosl.so.1 -o $@ $(patsubst %,.objs/%,$(subst /,-,$^)) -lboost_program_options$(BOOST_POSTFIX) -lboost_filesystem$(BOOST_POSTFIX) -lboost_serialization$(BOOST_POSTFIX) -lboost_iostreams$(BOOST_POSTFIX) -lboost_thread$(BOOST_POSTFIX_MT) -lboost_system$(BOOST_POSTFIX)
 	ln -sf $@ libosl.so.1
 	ln -sf $@ libosl.so
