=== sample/Makefile ===
--- 
+++ 
@@ -35,31 +35,33 @@
   pin_perf.cc uniqueStorePerf.cc \
   progress_perf.cc rating-perf.cc see-perf.cc simpleMovePerf.cc
 # commented out because their compilation take very long time: checkMovePerf.cc  fixedDepthSearchPerf.cc
-EVAL_SRCS = show-state.cc show-progresseval.cc show-testeval.cc 
+EVAL_SRCS = show-state.cc show-progresseval.cc show-eval.cc 
 PPAIR_SRCS = pairdiff.cc pairedit.cc pairstat.cc 
 DEBUG_SRCS = printPdp.cc printPosition.cc printMove.cc printPiece.cc \
 	printPtypeO.cc printNcores.cc hash-dump.cc
 OPENING_SRCS = convert.cc showOpening.cc opening-validator.cc openingStatistics.cc \
 	compare-book.cc show-moves.cc
 RATING_SRCS = ratingstat.cc probability.cc topn.cc
+CHECKMATE_SRCS = dfpnstat.cc fixed-checkmate.cc fixed-checkmate2.cc make-problems.cc
 RECORD_SRCS = check-kisen.cc show-ipx.cc all-states.cc bad-moves.cc \
               show-ki2.cc show-ipx-result.cc csa-to-kisen.cc kisen-to-csa.cc \
 	      count-win-loss.cc win-rate-openingbook-weight-level.cc \
-              all-states2.cc find-states.cc check-ki2.cc \
-	      kakinoki-to-csa.cc csa-to-kifu.cc 
-MISC_SRCS = showCores.cc showMemory.cc
+              all-states2.cc find-states.cc check-ki2.cc showRecord.cc \
+	      kakinoki-to-csa.cc csa-to-kifu.cc kifu-to-myshogi.cc showRecord.cc
+MISC_SRCS = showCores.cc showMemory.cc convert.cc
 
 BOARD_SRCS = random_play.cc legal_moves.cc \
-	showRecord.cc show_repetition.cc show-effect.cc \
+	show_repetition.cc show-effect.cc \
 	progress/show-state.cc \
 	$(patsubst %.cc,eval/%.cc,$(EVAL_SRCS)) \
 	$(patsubst %.cc,eval/ppair/%.cc,$(PPAIR_SRCS)) \
 	$(patsubst %.cc,record/%.cc,$(RECORD_SRCS)) \
 	$(patsubst %.cc,misc/%.cc,$(MISC_SRCS))
-SEARCH_SRCS = 	dfpnstat.cc fixed-checkmate.cc sort.cc \
-	fixed-checkmate2.cc find-losing-moves.cc \
+SEARCH_SRCS = 	sort.cc \
+	find-losing-moves.cc find-uplevel-king.cc \
 	quiescence/quiescencestat.cc quiescence/range-vs-nodes.cc \
 	quiescence/quiescence2stat.cc \
+	$(patsubst %.cc,checkmate/%.cc,$(CHECKMATE_SRCS)) \
 	$(patsubst %.cc,debug/%.cc,$(DEBUG_SRCS)) \
 	$(patsubst %.cc,opening/%.cc,$(OPENING_SRCS)) \
 	$(patsubst %.cc,rating/%.cc,$(RATING_SRCS)) \
@@ -80,6 +82,10 @@
 opening/convert: opening/convert.o opening/openingBookConverter.o
 opening/openingBookConverter.o: opening/openingBookConverter.cc opening/openingBookConverter.h
 
+checkmate/dfpnstatone-static: checkmate/dfpnstatone.cc checkmate/dfpnstat.cc
+	$(CXX) -o $@ $(CXXFLAGS) $(OSL_HOME_FLAGS) $(LDFLAGS) $< $(LDLIBS) $(FILE_TCMALLOC)  $(LOADLIBES)
+
+
 $(SEARCH_PROGRAMS): $(FILE_OSL_ALL)
 $(BOARD_PROGRAMS): $(FILE_OSL_BOARD)
