=== test/Makefile ===
--- 
+++ 
@@ -29,20 +29,20 @@
 	pathEncoding.t.o pieceStand.t.o pieceStandIO.t.o repetitionCounter.t.o \
 	container/pieceMask.t.o container/bitXmask.t.o \
 	container/moveStack.t.o \
-	container/moveLogProbVector.t.o container/ptypeOPositionVector.t.o \
+	container/moveLogProbVector.t.o container/ptypeOSquareVector.t.o \
 	container/boardMask.t.o container/tripleInt.t.o container/quadInt.t.o \
 	misc/fixedCapacityVector.t.o misc/carray.t.o misc/carray2d.t.o \
 	misc/mask.t.o misc/nonBlockDelete.t.o misc/reorder.t.o \
 	misc/math.t.o misc/base64.t.o misc/fastCopier.t.o \
 	misc/bitOp.t.o \
-	stl/vector.t.o \
+	stl/vector.t.o stl/hash_map.t.o stl/hash_set.t.o \
 	apply_move/doUndoMoveLock.t.o \
 	eval/pieceEval.t.o eval/progressEval.t.o eval/see.t.o \
 	eval/minorPieceBonus.t.o \
 	eval/ppair/piecePairIndex.t.o eval/ppair/piecePairRawEval.t.o \
 	eval/ppair/piecePairPieceEval.t.o \
 	eval/endgame/attackKing.t.o eval/endgame/defenseKing.t.o \
-	eval/endgame/attackDefense.t.o \
+	eval/endgame/attackDefense.t.o eval/endgame/kingPieceTable.t.o \
 	eval/ml/piecePair.t.o \
 	eval/ml/openMidEndingEval.t.o \
 	state/simpleState.t.o \
@@ -61,22 +61,21 @@
 	$(patsubst %.o,threatmate/%.o,$(THREATMATE_OBJS)) \
 	$(patsubst %.o,mobility/%.o,$(MOBILITY_OBJS)) \
 	enter_king/enterKing.t.o 
-# 	move_action/safeFilter.t.o move_action/shouldPromoteFilter.t.o \
 RECORD_OBJS = csa.t.o record.t.o kisen.t.o psn.t.o kanjiPrint.t.o usi.t.o \
 	kanjiMove.t.o ki2.t.o compactBoard.t.o miniBoard.t.o miniBoardChar50.t.o
 MOVE_GENERATOR_OBJS = allMoves.t.o capture_.t.o \
   escapeMoves.t.o promote_.t.o kingWalk.t.o dropAroundKing8.t.o \
-  openKingRoad.t.o captureEffectToAroundKing8.t.o safeDropMajorPiece.t.o \
-	addEffect8.t.o attackToPinned.t.o addEffect8Defense.t.o \
+  openKingRoad.t.o safeDropMajorPiece.t.o \
+	addEffect8.t.o attackToPinned.t.o  \
 	addEffectWithEffect.t.o legalMoves.t.o
-# addEffect_.t.o 
+
 MOVE_CLASSIFIER_OBJS = check_.t.o kingOpenMove.t.o safeMove.t.o \
 	pawnDropCheckmate.t.o attackDefenceAroundKing.t.o \
 	blockLongEffect.t.o trapRook.t.o 
 MOVE_ORDER_OBJS = promotion.t.o cheapPtype.t.o captureSort.t.o \
 	captureEstimation.t.o
 EFFECT_UTIL_OBJS = pin.t.o additionalEffect.t.o unblockableCheck.t.o \
-	effectUtil.t.o sendOffPosition.t.o neighboring8Direct.t.o \
+	effectUtil.t.o sendOffSquare.t.o neighboring8Direct.t.o \
 	virtualPin.t.o
 MOBILITY_OBJS = countMobility.t.o rookMobility.t.o bishopMobility.t.o \
 	lanceMobility.t.o mobilityTable.t.o
@@ -93,13 +92,14 @@
 	shouldPromoteCut.t.o 
 CHECKMATE_OBJS = proofDisproof.t.o \
 	proofPieces.t.o \
-	pawnCheckmateMoves.t.o \
+	pawnCheckmateMoves.t.o king8Info.t.o \
 	dfpn.t.o dualDfpn.t.o oracleProver.t.o \
 	fixedDepthSearcher.t.o checkmateIfCapture.t.o \
 	immediateCheckmate.t.o proofNumberTable.t.o \
 	oracleAdjust.t.o 
 NTESUKI_OBJS = ntesukiResult.t.o ntesukiRecord.t.o ntesukiTable.t.o rzone.t.o \
-	ntesukiMoveGenerator.t.o ntesukiSearcher.t.o ntesukiSimulationSearcher.t.o
+	ntesukiMoveGenerator.t.o ntesukiSearcher.t.o ntesukiSimulationSearcher.t.o \
+	move_generator/addEffect8Defense.t.o move_generator/captureEffectToAroundKing8.t.o 
 GAME_PLAYING_OBJS = recordTracer.t.o bookPlayer.t.o csaClient.t.o \
 	gnuShogiClient.t.o historyToTable.t.o searchPlayer.t.o \
 	gameState.t.o alphaBetaPlayer.t.o alphaBetaOpenMidEndingEvalPlayer.t.o \
@@ -107,7 +107,8 @@
 RATING_OBJS = standardFeatureSet.t.o ratedMoveVector.t.o feature/patternLong.t.o \
 	feature/threatmate.t.o
 OPENING_OBJS = openingBook.t.o
-
+MOVE_PROBABILITY_OBJS = feature.t.o featureSet.t.o moveInfo.t.o \
+	stateInfo.t.o
 MISC_OBJS = 
 
 # qualified objects
@@ -115,7 +116,8 @@
 	$(patsubst %.o,checkmate/%.o,$(CHECKMATE_OBJS)) \
 	$(patsubst %.o,game_playing/%.o,$(GAME_PLAYING_OBJS)) 
 Q_NTESUKI_OBJS = $(patsubst %.o,ntesuki/%.o,$(NTESUKI_OBJS))
-Q_RATING_OBJS = $(patsubst %.o,rating/%.o,$(RATING_OBJS))
+Q_RATING_OBJS = $(patsubst %.o,rating/%.o,$(RATING_OBJS)) \
+	$(patsubst %.o,move_probability/%.o,$(MOVE_PROBABILITY_OBJS))
 Q_OPENING_OBJS = $(patsubst %.o,record/opening/%.o,$(OPENING_OBJS))
 TEST_OBJS = $(BOARD_OBJS) $(Q_SEARCH_OBJS) $(Q_OPENING_OBJS) \
  $(MISC_OBJS) $(Q_RATING_OBJS)
@@ -139,7 +141,7 @@
 testAll: $(OBJS) $(FILE_OSL_ALL)
 	mkdir -p `dirname $(OUTPUTPREFIX)$@` > /dev/null 2>&1
 	$(CXX) $(LDFLAGS) -o $(OUTPUTPREFIX)$@ $^ $(LOADLIBES) 
-testLong: testOne.o $(TEST_OBJS) $(FILE_OSL_ALL)
+testLong: testLong.o $(TEST_OBJS) $(FILE_OSL_ALL)
 	-@mkdir -p `dirname $(OUTPUTPREFIX)$@` > /dev/null 2>&1
 	$(CXX) $(LDFLAGS) -o $(OUTPUTPREFIX)$@ $^ $(LOADLIBES)
