=== debian/changelog ===
libosl (0.4.2-1) unstable; urgency=low

  * New upstream release (OSL r4384).
    (Closes: #633470, #633473)

 -- Daigo Moriwaki <daigo@debian.org>  Mon, 10 Oct 2011 12:11:29 +0900

libosl (0.4.1-1) unstable; urgency=low

  * New upstream release (OSL r4380).
  * debian/rules: Added a new target: get-orig-source.

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 07 Oct 2011 20:13:34 +0900
