=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libosl
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daigo Moriwaki <daigo@debian.org>
+Maintainer: Daigo Moriwaki <daigo@debian.org>
 Build-Depends: cdbs, debhelper (>= 7), libcppunit-dev (>= 1.10.2-5), libboost1.46-all-dev
 Standards-Version: 3.9.2
 Homepage: http://gps.tanaka.ecc.u-tokyo.ac.jp/gpsshogi/pukiwiki.php
