=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,11 @@
 #!/usr/bin/make -f
+
+SOURCE = $(shell dpkg-parsechangelog | grep "^Source" | sed "s/Source: //")
+VERSION = $(shell dpkg-parsechangelog | grep "^Version" | sed "s/Version: //")
+ORIG_VERSION = $(shell echo $(VERSION) | sed "s/-.*//")
+PRISTINE_VERSION = $(shell echo $(ORIG_VERSION) | sed "s/\+dfsg//")
+UPSTREAM_VERSION = $(shell echo $(PRISTINE_VERSION) | sed "s/^0\.0\.//")
+SRCDIR_NAME = $(SOURCE)-$(ORIG_VERSION).orig
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -20,22 +27,19 @@
 DEB_INSTALL_DIRS_libosl-doc += usr/share/doc/libosl-doc
 DEB_INSTALL_DOCS_libosl-doc += doc/html
 
-
 pre-build::
 	cp $(CURDIR)/debian/makefile.local.$(DEB_HOST_ARCH_CPU) $(CURDIR)/makefile.local
 
 build/libosl$(so_ver)::
 	$(MAKE) -C release-so make-directories
-# unused-but-set-variable disable until 633473 is fixed
-	$(MAKE) -C release-so WARN_UNUSED="-Wno-error=unused-but-set-variable -Wno-unused-parameter" PROF=-g OSL_PUBLIC_RELEASE=t OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" $(DEB_MAKE_PARALLEL) libosl.so.$(so_ver).0
+	$(MAKE) -C release-so PROF=-g OSL_PUBLIC_RELEASE=t OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" $(DEB_MAKE_PARALLEL) libosl.so.$(so_ver).0
 
 binary-install/libosl$(so_ver)::
 	dh_install -p$(cdbs_curpkg) --sourcedir=release-so libosl.so.* usr/lib
 
 build/libosl-dev::
 	$(MAKE) -C release make-directories
-# unused-but-set-variable disable until 633473 is fixed
-	$(MAKE) -C release WARN_UNUSED="-Wno-error=unused-but-set-variable -Wno-unused-parameter" PROF=-g OSL_PUBLIC_RELEASE=t OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" $(DEB_MAKE_PARALLEL) all
+	$(MAKE) -C release PROF=-g OSL_PUBLIC_RELEASE=t OSL_HOME_FLAGS=-DOSL_HOME=\\\"/usr/share/gpsshogi-data\\\" $(DEB_MAKE_PARALLEL) all
 
 binary-install/libosl-dev::
 	dh_install -p$(cdbs_curpkg) --sourcedir=release lib*.a usr/lib
@@ -49,3 +53,19 @@
 	$(MAKE) -C release-so clean
 	-rm release-so/libosl.so*
 	-rm -f $(CURDIR)/makefile.local
+
+get-orig-source:
+	if [ ! -f osl.tar.gz ] ; then \
+	  wget "http://gps.tanaka.ecc.u-tokyo.ac.jp/cgi-bin/viewvc.cgi/trunk/osl.tar.gz" ; \
+	fi
+	mkdir debian/$(SRCDIR_NAME)
+	cd debian/$(SRCDIR_NAME) && tar xzvf ../../osl.tar.gz
+	if test "`ls debian/$(SRCDIR_NAME) | wc -l`" -eq "1" ; then \
+		subdir=`echo debian/$(SRCDIR_NAME)/*` && \
+		mv $$subdir/* $$subdir/.??* debian/$(SRCDIR_NAME) && \
+		rmdir $$subdir ; \
+	fi
+	rm -rf debian/$(SRCDIR_NAME)/lib/third_party
+	rm -rf debian/$(SRCDIR_NAME)/public-domain
+	tar czf ../$(SOURCE)_$(ORIG_VERSION).orig.tar.gz -C debian $(SRCDIR_NAME)
+	rm -rf debian/$(SRCDIR_NAME)
